---
title: Informace o nové verzi STM 1.1
date: 2013-01-24 12:37 UTC
---

<%= image_tag 'soutez-souhrn.png', :class => 'right top' %>

<p>Pět měsíců po vydání první verze aplikace STM si na webu můžete&nbsp;<a href="<%= webPrefix %>/" target="">stáhnout</a> novou verzi <strong>STM 1.1</strong>, k dispozici je i aktualizační balíček pro již existující instalace aplikace. Poznámky k aktualizaci z verze 1.0 na 1.1 najdete v sekci <a href="<%= webPrefix %>/" target="">ke stažení</a>. Prováděl jsem aktualizaci na 3 instalacích STM a na žádný problém jsem nenarazil, takže by vše mělo jít o bezproblémovou aktualizaci.&nbsp;Teď už se budu věnovat novinkám ve verzi 1.1.</p><p><br></p>
<h2>Usnadnění pořádání a správy soutěží, turnajů</h2>
<p>Jak už bylo napsáno v <a href="<%= webPrefix %>/blog/co-se-chysta-do-stm-1-1-2012-12-09.html" target="">předchozí novince</a>, tak hlavním cílem verze 1.1 je usnadnění správy turnajů. V nové verzi můžete využívat <strong>import osob</strong>, <strong>snadnější přidávání osob do týmů, klubů a sestav&nbsp;</strong>(jedním kliknutím lze přidat&nbsp;všechny hráče z týmu do sestav zápasů v soutěži). Nejen u turnaje se hodí možnost <strong>seřazení tabulky podle vzájemných zápasů</strong> (samozřejmě u týmů se stejným počtem bodů). Po skončení turnaje určitě využijete možnost <strong>vytvoření souhrnu průběhu turnaje</strong>, zvolíte si, které položky chcete zahrnout do souhrnu a <em>voilá</em> jedním klikem je souhrn na světě.&nbsp;</p><p>Všechny změny a novinky jsem vytvářel na základě podnětů z využívání STM na turnajích ve <a href="http://www.obecmakov.cz/file.php?nid=563&amp;oid=3001655" target="_blank">florbale</a> a <a href="http://www.obecmakov.cz/file.php?nid=563&amp;oid=3034238" target="_blank">stolním tenise</a> v Makově (odkazy vedou na vygenerované souhrny turnajů). Když se zjistilo, že některá operace trvá zbytečně dlouho, tak jsem se snažil akce, co nejvíce zjednodušit. Ale určitě v STM můžete najít i další těžkopádnosti, ale aby byly odstraněny a bylo&nbsp;usnadněno používání aplikace, tak o nich musím vědět. Proto <strong>pokud máte nápady na vylepšení, vidíte někde zbytečně složité operace, tak n</strong><strong>eváhejte a ozvěte se na fóru nebo v komentářích</strong>.</p><p><br></p>
<h2>Rozpisy, tabulky</h2>
<p>Dalším poznatkem z pořádání turnajů byla nutnost změny rozpisu v průběhu turnaje, protože došlo k navýšení počtu účastníků. Ve verzi 1.0 se tento problém dal vyřešit pouze tím, že jste před začátkem turnaje přidali dočasné týmy "duchy", které jste pak v průběhu nahradili hráči a nebo jste je po konci turnaje smazali. V nové verzi můžete<strong> znovu vygenerovat rozpis sezóny, i když už máte odehráno několik zápasů</strong>. U existujících 
<%= image_tag 'krizova-tabulka.png', :class => 'left top' %>
zápasů dojde pouze ke změně kola, ale výsledek zápasu nebude nijak ovlivněn!&nbsp;</p>
<p>Nově v sezóně najdete i možnost zobrazení <strong>křížové tabulky</strong>. Když budete před turnajem potřebovat vyvěsit rozpis na zeď, tak v rámci souhrnu je i možnost <strong>generování rozpisu</strong>. Zvolíte<strong> na kolik hřišť</strong> chcete rozpis rozepsat a získáte rozpis jednoduchý seznam zápasů rozdělený na zvolený počet hřišť. Upravena byla i možnost <strong>změny data zápasů ze všech kol</strong> sezóny (obzvlášť se hodí např. u fotbalových soutěží, kde se jarní rozpis zápasů zveřejňuje až během února).&nbsp;</p><p>Výše uvedené novinky najdete v aplikaci u soutěží v menu pod pojmem <em>Pokročilá správa soutěže</em>.<p> <p><br></p>
<%= image_tag 'zapas-menu.png', :class => 'right top' %>
<h2>Další novinky a změny</h2>
<p>Novinka se až nepřiměřeně roztahuje, proto další novinky uvedu už jen jako stručnější seznam:</p><ul><li><strong>Hlavní stránka soutěže</strong> - přidání <strong>přehledu posledních a příštích zápasů</strong> s odkazy&nbsp;na vložení nebo tipování&nbsp;výsledku u neodehraných zápasů, příp. na vložení sestavy a hráčských statistik u odehraných zápasů</li><li><strong>Zjednodušení vkládání výsledků zápasů</strong> - zapomeňte na editaci každé periody zvlášť!</li><li>Přidávání hráčů do týmů a klubů&nbsp;- můžete si vyfiltrovat např. <strong>osoby bez týmů</strong> a přímo označit<strong>&nbsp;hráče</strong>.</li><li><strong>Správa členů týmů</strong>&nbsp;zjednodušena - návaznost na předchozí bod a editace člena v jednom dialogu, místo tří!</li><li><em>Příští zápas týmu</em>&nbsp;- analýza formy týmu a soupeře, podívejte se na <a href="<%= webPrefix %>/blog/stm-a-statistiky-2012-09-01.html" target="">morašické stránky</a>, jak se dá využít.</li><li>Opravení drobných chyb a změn v kódu, které nejsou v aplikaci přímo viditelné.</li></ul><br>
<h2>Dokumentace, nápověda, odkazy</h2><p>Vím, že nápověda a návody jsou stále poloprázdné, ale je to i z důvodu, že <strong>nemám žádnou zpětnou vazbu</strong> od Vás! Musíte mi napsat, s čím potřebujete poradit. Chtěl jsem začít dopisovat nápovědu podle navštívených neexistujících stránek, ale zjistil jsem, že kromě robotů z vyhledáváčů nápovědu nikdo nenavštěvuje. Vím, že je to chabá omluva, že když chci aby aplikaci někdo používal, tak musím nápovědu poskytnout předem. Ale na druhou stranu jde stále o open source&nbsp;produkt a mě se nechce pouštět do&nbsp;sepisování nápovědy, když zjistím, že ji nikdo nepoužívá.</p><p>Jsem rád pokud STM používáte a budu ještě nadšenější, když o tom napíšete a připojíte své nápady a připomínky:</p><ul><li><a href="<%= webPrefix %>/" target="">stáhněte si novou verzi STM</a>,</li><li>může <a href="https://gitlab.com/zdenekdrahos-upce/stm/sports-table-manager" target="_blank">hlásit chyby přímo na Gitlab a sledovat jejich řešení</a>!</li></ul>